[Libreoffice-commits] core.git: sysui/desktop
Jochen Nitschke
j.nitschke+logerrit at ok.de
Tue May 30 10:37:30 UTC 2017
sysui/desktop/share/apparmor.sh | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
New commits:
commit b7988de7c0dcb6aad00864dd07d8be61021ac8d2
Author: Jochen Nitschke <j.nitschke+logerrit at ok.de>
Date: Mon May 22 09:04:40 2017 +0200
tdf#105204 fix iteration over profile
regression of
commit 7bec7abd4c3d78e6a37f523f4fb599134ef51ca7
tdf#105204: ShellCheck nitpicks for apparmor.sh
Change-Id: I5086e2a3af2908fe051c0bdc91753533adf7bafd
Reviewed-on: https://gerrit.libreoffice.org/37896
Tested-by: Jenkins <ci at libreoffice.org>
Reviewed-by: Jochen Nitschke <j.nitschke+logerrit at ok.de>
diff --git a/sysui/desktop/share/apparmor.sh b/sysui/desktop/share/apparmor.sh
index cf554257cf72..253fe87cf78d 100755
--- a/sysui/desktop/share/apparmor.sh
+++ b/sysui/desktop/share/apparmor.sh
@@ -37,11 +37,11 @@ INST_ROOT_FORMAT=${INST_ROOT_FORMAT////.}
#Need to escape / for sed
INST_ROOT_SED=${INST_ROOT////\\/}
-for filename in $PROFILESFROM
+for filename in $PROFILESFROM/*
do
- tourl=$INSTALLTO$INST_ROOT_FORMAT$filename
- sed "s/INSTDIR-/$INST_ROOT_SED/g" "$PROFILESFROM""$filename" > "$tourl"
- [[ -e $filename ]] || break
+ [[ -e $filename ]] || { echo "No profile files found in ""$PROFILESFROM"; exit 1; }
+ tourl=$INSTALLTO$INST_ROOT_FORMAT${filename##*/}
+ sed "s/INSTDIR-/$INST_ROOT_SED/g" "$filename" > "$tourl"
echo "$tourl"
done
More information about the Libreoffice-commits
mailing list